
#define	FILE_MODE_RB	0
#define	FILE_MODE_WB	1
#define	FILE_ERR_NOERR	0
#define	FILE_ERR_ERR	EOF

typedef struct {
	unsigned char	mode;		/* read/write mode */
	int				err;		/* error flag */
	unsigned int	ptr;		/* pointer */
	unsigned char	st_track;	/* start track */
	unsigned char	st_sector;	/* start sector(1-16) */
	unsigned char	track;		/* track */
	unsigned char	sector;		/* sector(1-16) */
	unsigned char	buftrack;	/* track (in buffer) */
	unsigned char	bufsector;	/* sector(1-16) (in buffer) */
} FILE;

FILE *fopen(const char *, const char *);
int fclose(FILE *);
size_t fwrite(const void *, size_t, size_t, FILE *);
size_t fread(void *, size_t, size_t, FILE *);

int secwr_set(unsigned char, unsigned char);
void secwr_byte(unsigned int, unsigned char);
int secrd_set(unsigned char, unsigned char);
unsigned char secrd_byte(unsigned int);

